I'm setting up my mom's Pixi and the house doesn't get an evdo signal. The phone is running 1.3.1 so I downloaded the 2g app that allows for the download of upgrades over the slower network. When I run the 2g app it tells me that I don't need it because the stuff is baked into 1.3.5, but I don't have 1.3.5. Any ideas?